﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IgTestGrid
{
    public static class Lookups
    {
        public static ObservableCollection<NmixLookup> GetNmixLookups()
        {
            var data = new List<NmixLookup>();
            for (var i = 0; i <= 20; i++)
            {
                data.Add(new NmixLookup
                {
                    Id = string.Format("thisId{0}",i),
                    Ndesc = string.Format("{0} - something", i)
                });
            }

            return new ObservableCollection<NmixLookup>(data);
        }

        public static ObservableCollection<RmixLookup> GetRmixLookups()
        {
            var data = new List<RmixLookup>();
            for (var i = 0; i <= 17; i++)
            {
                data.Add(new RmixLookup
                {
                    Id = string.Format("tsId{0}",i),
                    Rdesc = string.Format("{0} - Mas", i)
                });
            }

            return new ObservableCollection<RmixLookup>(data);
        }
    }
}
